using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using Sensr;

namespace nac2
{
  public partial class Nac2 : Form
  {
    private ttr tt = new ttr();
    private bool connect = false;

    public Nac2()
    {
      InitializeComponent();
    }

    private void SetStop()
    {
      tt.Disconnect();
      btnStart.Text = "Start";
      connect = false;
    }

    private void btnStart_Click(object sender, EventArgs e)
    {
      try
      {
        if (connect)
        {
          SetStop();
        }
        else
        {
          tt.Connect();
          tt.MonitorDisable();
          tt.SetAccelSleep(false);
          tt.SetAccelRange(0);
          tt.AccelPurge();
          tt.SampleStreamingEnable(true);
          btnStart.Text = "Stop";
          connect = true;
        }
      }
      catch (ttr.TTR_Exception tte)
      {
        SetStop();
        MessageBox.Show(string.Format("{0}", tte));
      }
    }

    private void tmrSample_Tick(object sender, EventArgs e)
    {
      List<ttr.RawDataRecord> samples;
      int missed;

      if (connect)
      {
        try
        {
          samples = tt.GetSamples(out missed);
          foreach(ttr.RawDataRecord rdr in samples)
          {
            labX.Text = string.Format("X:{0,6:0.000}", rdr.X);
            labY.Text = string.Format("Y:{0,6:0.000}", rdr.Y);
            labZ.Text = string.Format("Z:{0,6:0.000}", rdr.Z);
            labTemp.Text = string.Format("Temp:{0,4:0.0}", rdr.Temperature);
          }
        }
        catch (ttr.TTR_Exception tte)
        {
          SetStop();
          MessageBox.Show(string.Format("{0}", tte));
        }
      }
    }  
  
  
  
  }
}